# Move Pipeline YAML from inline to remote

Creates a remote entity by fetching pipeline YAML from Harness.

Endpoint: POST /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/move-config
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `git_details` (object)
    Parameters related to moving an entity for Git Experience.

  - `git_details.branch_name` (string)
    Name of the branch. When moving an inline pipeline or a remote pipeline, this branch is where the remote entity is created or fetched.

  - `git_details.file_path` (string)
    File path of the entity in the repository.

  - `git_details.commit_message` (string)
    Merge commit message.

  - `git_details.base_branch` (string)
    Default branch name. This checks out the branch titled branch_name

  - `git_details.connector_ref` (string)
    Harness connector id used for entity CRUD operations

  - `git_details.repo_name` (string)
    Name of the repository.

  - `pipeline_identifier` (string)

  - `move_config_operation_type` (string)
    Operation type to move the configuration
    Enum: "INLINE_TO_REMOTE"

## Response 200 fields (application/json):

  - `pipeline_identifier` (string)


